//@line 37 "/home/build/tinderbuild/src/flock/mozilla/browser/components/places/content/bookmarksPanel.js"

function init() {
  document.getElementById("bookmarks-view").place =
    "place:queryType=1&folder=" + window.top.PlacesUIUtils.leftPaneFolderId;
  Components.classes["@flock.com/metrics-service;1"]
            .getService(Components.interfaces.flockIMetricsService)
            .report("FavoritesSidebar-Opened", null);
}

function unLoad() {
  Components.classes["@flock.com/metrics-service;1"]
            .getService(Components.interfaces.flockIMetricsService)
            .report("FavoritesSidebar-Close", null);
}

function searchBookmarks(aSearchString) {
  var tree = document.getElementById('bookmarks-view');
  if (!aSearchString)
    tree.place = tree.place;
  else
    tree.applyFilter(aSearchString,
                     [PlacesUtils.bookmarksMenuFolderId,
                      PlacesUtils.unfiledBookmarksFolderId,
                      PlacesUtils.toolbarFolderId,
                      FlockPlaces.internalOnlineRootId]);
}

window.addEventListener("SidebarFocused",
                        function()
                          document.getElementById("search-box").focus(),
                        false);
window.addEventListener("unload", unLoad, false);
